package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.entity.GridCmpmCountGongsi;
import com.ruoyi.ibs.grid.domain.entity.GridCmpmCountLingshou;
import com.ruoyi.ibs.grid.domain.entity.GridCmpmCountLingshouNew825;
import com.ruoyi.ibs.grid.domain.entity.GridCustCountGongsi;
import com.ruoyi.ibs.grid.domain.entity.GridCustCountLingshou;
import com.ruoyi.ibs.grid.domain.entity.GridCustCountLingshouNew825;

import java.util.List;


public interface GridCountService {
    List<GridCmpmCountLingshou> selectLsCountList(String town,String village,String dt);
    List<GridCmpmCountLingshouNew825> selectLsCountListNew825(String town, String village, String dt);

    List<GridCmpmCountGongsi> selectGsCountList(String town, String village,String dt);

    List<GridCustCountLingshou> selectLsCustList(String regionCode, String custName, String custIdc,String dt);
    List<GridCustCountLingshouNew825> selectLsCustListNew825(String regionCode, String custName, String custIdc, String dt);

    List<GridCustCountGongsi> selectGsCustList(String regionCode, String custName, String socialCreditCode,String dt);
}
